Search:

# CWIS Developers Documentation

Public Member Functions | Public Attributes

# SPTOAIServer Class Reference

Collaboration diagram for SPTOAIServer:
[legend]

## Public Member Functions
| SPTOAIServer ($RetrievalSearchParameters=NULL)
| AddSQLConditionalForResources ($Conditional)
| GetFieldMapping ($FormatName, $LocalFieldName)
| SetFieldMapping ($FormatName, $LocalFieldName, $OAIFieldName)
| SetQualifierMapping ($FormatName, $LocalQualifierName, $OAIQualifierName)
## Public Attributes
| $DB
| $SPTItemFactory

List of all members.

## Detailed Description

Definition at line 9 of file SPTOAIServer.php.

Inheritance diagram for SPTOAIServer:
[legend]

## Member Function Documentation

SPTOAIServer::AddSQLConditionalForResources | ( | $ | Conditional ) |

Definition at line 158 of file SPTOAIServer.php.

SPTOAIServer::GetFieldMapping | ( | $ | FormatName,
|  | $ | LocalFieldName
| ) |  |

Reimplemented from OAIServer.

Definition at line 165 of file SPTOAIServer.php.

SPTOAIServer::SetFieldMapping | ( | $ | FormatName,
|  | $ | LocalFieldName,
|  | $ | OAIFieldName
| ) |  |

Reimplemented from OAIServer.

Definition at line 175 of file SPTOAIServer.php.

References $DB.

Referenced by SPTOAIServer().

Here is the caller graph for this function:

SPTOAIServer::SetQualifierMapping | ( | $ | FormatName,
|  | $ | LocalQualifierName,
|  | $ | OAIQualifierName
| ) |  |

Reimplemented from OAIServer.

Definition at line 212 of file SPTOAIServer.php.

References $DB.

Referenced by SPTOAIServer().

Here is the caller graph for this function:

SPTOAIServer::SPTOAIServer | ( | $ | RetrievalSearchParameters = `NULL` ) |

Definition at line 13 of file SPTOAIServer.php.

References $DB, OAIServer::$RepDescr, OAIServer::AddFormat(), OAIServer::OAIServer(), SetFieldMapping(), and SetQualifierMapping().

## Member Data Documentation

SPTOAIServer::$DB

Reimplemented from OAIServer.

Definition at line 251 of file SPTOAIServer.php.

Referenced by SetFieldMapping(), SetQualifierMapping(), and SPTOAIServer().

SPTOAIServer::$SPTItemFactory

Definition at line 252 of file SPTOAIServer.php.

The documentation for this class was generated from the following file:

- SPTOAIServer.php